/*
 *  ICeCoffEEShared.m
 *  ICeCoffEE APE
 *
 *  Created by Nicholas Riley on Wed Jan 22 2003.
 *  Copyright (c) 2003 Nicholas Riley. All rights reserved.
 *
 */

#include "ICeCoffEEShared.h"
#import <Foundation/NSString.h>

const OSType      kICCFCreator = 'ICCF';
const CFStringRef kICBundleIdentifier = (CFStringRef)@"net.sabi.ICeCoffEE";

// ICeCoffEE 1.1/1.2 CFPreferences
const CFStringRef kIC12PrefExcluded = (CFStringRef)@"Excluded Applications"; // CFArray of CFDictionaries
const CFStringRef kIC12PrefExcludedAppSpecifierBundleID = (CFStringRef)@"CFBundleID"; // CFDictionary key

// CFPreferences
const CFStringRef kICLastLoadedVersion = (CFStringRef)@"ICLastLoadedVersion"; // CFNumber (bool)
const CFStringRef kICCommandClickEnabled = (CFStringRef)@"ICCommandClickEnabled"; // CFNumber (bool)
const CFStringRef kICTextBlinkEnabled = (CFStringRef)@"ICTextBlinkEnabled"; // CFNumber (bool)
const CFStringRef kICTextBlinkCount = (CFStringRef)@"ICTextBlinkCount"; // CFNumber (int)
const CFStringRef kICServicesInContextualMenu = (CFStringRef)@"ICServicesInContextualMenu"; // CFNumber (bool)
const CFStringRef kICServicesInMenuBar = (CFStringRef)@"ICServicesInMenuBar"; // CFNumber (bool)
const CFStringRef kICServiceOptions = (CFStringRef)@"ICServiceOptions"; // CFDictionary
const CFStringRef kICTerminalRequireOptionForSelfDrag = (CFStringRef)@"ICTerminalRequireOptionForSelfDrag"; // CFNumber (Boolean)
const CFStringRef kICErrorSoundEnabled = (CFStringRef)@"ICErrorSoundEnabled"; // CFNumber (bool)
const CFStringRef kICErrorDialogEnabled = (CFStringRef)@"ICErrorDialogEnabled"; // CFNumber (bool)

// kICServiceOptions dictionary keys
const CFStringRef kICServiceSubmenu = (CFStringRef)@"ICServiceSubmenu"; // CFDictionary
const CFStringRef kICServiceHidden = (CFStringRef)@"ICServiceHidden"; // CFNumber (Boolean)
const CFStringRef kICServiceShortcut = (CFStringRef)@"ICServiceShortcut"; // reserved for future use

// APEBundleMessages
const CFStringRef kICPreferencesChanged = (CFStringRef)@"ICPreferencesChanged";

// UI constants
const int kICHysteresisPixels = 4;
const int kICBlinkDelayUsecs = 60000;